---
title: Get Information on Plans
description: The Backup Service REST API allows information on plans to be retrieved.
pubDate: 2026-08-17T09:53:44.266Z
antora:
  editUrl: https://github.com/couchbase/docs-server/edit/release/7.2/modules/rest-api/pages/backup-get-plan-info.adoc
  xref: xref:7.2@server:rest-api:backup-get-plan-info.adoc[]
---

[Consult the llms.txt file for a full list of contents](/llms.txt)
[View original HTML](/server/7.2/rest-api/backup-get-plan-info.html)

# Get Information on Plans

> The Backup Service REST API allows information on plans to be retrieved. 

## [](#http-methods-and-uris)HTTP Methods and URIs

GET /plan

GET /plan/<plan-id>

## [](#description)Description

The `GET /plan` http method and URI return an array of plans, currently defined for the cluster. The `GET /plan/<plan-id>` http method and URI return information on a single, specified plan.

## [](#curl-syntax)Curl Syntax

curl -X GET http://<backup-node-ip-address-or-domain-name>:8097/plan
  -u <username>:<password>

curl -X GET http://<backup-node-ip-address-or-domain-name>:8097/plan/<plan-id>
  -u <username>:<password>

The `<plan-id>` must be the name of a plan currently defined for the cluster. The `username` and `password` must identify an administrator with the Full Admin role.

## [](#responses)Responses

If a specified `plan-id` does not exist, `404 Object Not Found` is returned, with an object such as the following: `{"status":404,"msg":"requested plan not found"}`.

Failure to authenticate returns `401 Unauthorized`. An incorrectly specified URI returns `404 Object Not Found`.

## [](#examples)Examples

The following call returns an array, each of whose members is an object containing information for a plan currently defined for the cluster. Note that the output is piped to the [jq](https://stedolan.github.io/jq) command, to facilitate readability:

curl -v -X GET http://127.0.0.1:8097/api/v1/api/v1/plan \
-u Administrator:password | jq '.'

If the call is successful, `200 OK` is returned, with an array the initial part of which may appear as follows:

[
  {
    "name": "BackupAndMergePlan",
    "description": "A plan for backing up and merging.",
    "services": [
      "data"
    ],
    "tasks": [
      {
        "name": "BackupEveryTuesdayForOneYear",
        "task_type": "BACKUP",
        "schedule": {
          "job_type": "BACKUP",
          "frequency": 52,
          "period": "TUESDAY",
          "time": "21:00"
        },
        "full_backup": true
      },
      {
        "name": "testTask3",
        "task_type": "MERGE",
        "schedule": {
          "job_type": "MERGE",
          "frequency": 4,
          "period": "WEEKS",
          "time": "22:00"
        },
        "full_backup": false
      }
    ]
  },
  {
    "name": "testPlan5",
    "description": "A test plan.",
    "services": [
      "data",
      "gsi"
    ],
    "tasks": [
      {
        "name": "BackupTask",
          .
          .
          .

Each object in the array contains information on the specified plan. The information includes confirmation of the services for which data is backed up by the plan; and the tasks that are performed for the plan. Each task is listed with an account of its type and schedule.

The following call returns information specifically on the plan `testPlan2`:

curl -v -X GET http://127.0.0.1:8091/_p/backup/api/v1/plan/testPlan2 \
-u Administrator:password | jq '.'

If the call is successful, `200 OK` is returned, with the following object:

{
  "name": "testPlan2",
  "description": "A test plan.",
  "services": [
    "data",
    "gsi"
  ],
  "tasks": [
    {
      "name": "BackupTask",
      "task_type": "BACKUP",
      "schedule": {
        "job_type": "BACKUP",
        "frequency": 10,
        "period": "MINUTES"
      },
      "full_backup": false
    },
    {
      "name": "MergeTask",
      "task_type": "MERGE",
      "schedule": {
        "job_type": "MERGE",
        "frequency": 1,
        "period": "HOURS",
        "time": "22:00"
      },
      "full_backup": false
    }
  ]
}

The object contains information on the specified plan. The information includes confirmation of the services for which data is backed up by the plan; and the tasks that are performed for the plan. Each task is listed with an account of its type and schedule.

## [](#see-also)See Also

An overview of the Backup Service is provided in [Backup Service](../learn/services-and-indexes/services/backup-service.md). A step-by-step guide to using Couchbase Web Console to configure and use the Backup Service is provided in [Manage Backup and Restore](../manage/manage-backup-and-restore/manage-backup-and-restore.md). For information on using the Backup Service REST API to create and edit plans, see [Create and Edit Plans](backup-create-and-edit-plans.md). For information on deleting plans, see [Delete a Plan](backup-delete-plan.md).